help > RE: I need help with building latest MRIcroGL with lazarus 2.0.10
Nov 4, 2020  08:11 PM | sujan dasmahapatra
RE: I need help with building latest MRIcroGL with lazarus 2.0.10
Originally posted by Chris Rorden:
1. Are you trying to build on Windows, Linux or MacOS?

2. If you select to the Projects/ProjectOptions menu item and remove "-dMYPY" from the "Custom Options" does the project compile (albeit without Python).

3. Did you recompile Lazarus using the latest version of the Python-for-Lazarus package (Using the Package/OpenPackageFile menu item):
  https://github.com/Alexey-T/Python-for-Lazarus
Do the examples from that repository compile and run correctly?

I am building for Windows Chris. With project option removing -dMYPY I am getting another set of new errors.

MRIcroGL.lpr(36,1) Error: Can't open object file: ..\static\x86_64-win64\sse\inffast.o

Like this a number of 9 errors like this.

I have built lazarus with Python-for-Lazarus package with this following option.

./lazbuild.exe --build-ide= --add-package lazopenglcontext ../Python-for-Lazarus/python4lazarus/python4lazarus_package.lpk

Please help me to resolve this.

Threaded View

TitleAuthorDate
sujan dasmahapatra Nov 4, 2020
Chris Rorden Nov 4, 2020
RE: I need help with building latest MRIcroGL with lazarus 2.0.10
sujan dasmahapatra Nov 4, 2020
Chris Rorden Nov 5, 2020
sujan dasmahapatra Nov 5, 2020
sujan dasmahapatra Nov 5, 2020
Chris Rorden Nov 6, 2020
sujan dasmahapatra Nov 5, 2020